import { Pipe, PipeTransform } from '@angular/core';
import { SearchResultDTO } from 'app/shared/model/search/search-result-dto.model';
@Pipe({
  name: 'filterExerciseTitle',
})
export class FilterPipe implements PipeTransform {
  transform(value: SearchResultDTO[], searchValue: string): any {
    if (!searchValue) return value;
    return value.filter(v => v.metadata.title.toLowerCase().indexOf(searchValue.toLowerCase()) > -1);
  }
}
