package at.ac.uibk.gitsearch.web.rest.errors;

import org.junit.Assert;
import org.junit.jupiter.api.Test;

class TrivialExceptionTest {

    @Test
    void testInvalidPasswordException() {
        InvalidPasswordException ex = new InvalidPasswordException();
        Assert.assertEquals("Incorrect password", ex.getMessage());
    }

    @Test
    void testBadRequestAlertException() {
        BadRequestAlertException ex = new BadRequestAlertException("defaultMessage", "entityName", "errorKey");
        Assert.assertEquals("entityName", ex.getEntityName());
    }
}
