import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ActivatedRoute } from '@angular/router';
import { of } from 'rxjs';

import { ReviewRatingDetailComponent } from './review-rating-detail.component';

describe('ReviewRating Management Detail Component', () => {
  let comp: ReviewRatingDetailComponent;
  let fixture: ComponentFixture<ReviewRatingDetailComponent>;

  beforeEach(() => {
    TestBed.configureTestingModule({
      declarations: [ReviewRatingDetailComponent],
      providers: [
        {
          provide: ActivatedRoute,
          useValue: { data: of({ reviewRating: { id: 123 } }) },
        },
      ],
    })
      .overrideTemplate(ReviewRatingDetailComponent, '')
      .compileComponents();
    fixture = TestBed.createComponent(ReviewRatingDetailComponent);
    comp = fixture.componentInstance;
  });

  describe('OnInit', () => {
    it('Should load reviewRating on init', () => {
      // WHEN
      comp.ngOnInit();

      // THEN
      expect(comp.reviewRating).toEqual(expect.objectContaining({ id: 123 }));
    });
  });
});
